Continue if pacman installation failed

This commit is contained in:
Santiago Lo Coco 2022-02-01 16:32:37 -03:00
parent 2c9762d1bc
commit d555a136f2
1 changed files with 2 additions and 2 deletions

View File

@ -101,8 +101,8 @@ checkForDependencies() {
[ ! -f "/etc/arch-release" ] && [ "$unameOutput" -ne 0 ] && return 1
sudo pacman --noconfirm --needed -Sy "${1}"
if [ $? -eq 1 ]; then
echo "Couldn't install ${1}." >&2
exit 1
echo "Couldn't install ${1}. We will continue without it."
return 1
fi
fi